net.corda.core.crypto

## Class DigitalSignature.LegallyIdentifiable

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.crypto.DigitalSignature
  - - WithKey
    - - net.corda.core.crypto.DigitalSignature.LegallyIdentifiable

- Enclosing class:
    DigitalSignature

      public static class DigitalSignature.LegallyIdentifiable
      extends WithKey

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.DigitalSignature

      `DigitalSignature.LegallyIdentifiable, DigitalSignature.WithKey`

    - ### Nested classes/interfaces inherited from class net.corda.core.serialization.OpaqueBytes

      `OpaqueBytes.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.serialization.OpaqueBytes

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegallyIdentifiable(Party signer, byte[] bits)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getSigner()`

    - ### Methods inherited from class net.corda.core.crypto.DigitalSignature.WithKey

      `getBy, verifyWithECDSA, verifyWithECDSA`

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Constructor Detail

    - #### LegallyIdentifiable

          public LegallyIdentifiable(Party signer,
                                     byte[] bits)

  - ### Method Detail

    - #### getSigner

          public Party getSigner()